Loading...
Searching...
No Matches
CountedPtr.h File Reference
`#include <casacore/casa/aips.h>`
`#include <memory>`

Go to the source code of this file.

## Classes

struct | casacore::CountedPtr_global_functions_dereference_error
| More...
class | casacore::CountedPtr< t >
| Referenced counted pointer for constant data. More...
class | casacore::CountedPtr< t >::Deleter< T >
| Helper class to make deletion of object optional. More...

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines

## Macros

#define | SHARED_PTR
#define | DYNAMIC_POINTER_CAST
#define | CONST_POINTER_CAST
#define | STATIC_POINTER_CAST

## Functions

Bool | casacore::countedPtrShared ()
| A shared_ptr is used as implementation.
template<typename T, typename U>
CountedPtr< T > | casacore::static_pointer_cast (const CountedPtr< U > &that)
| Cast the CountedPtr from one pointer type to another.
template<typename T, typename U>
CountedPtr< T > | casacore::const_pointer_cast (const CountedPtr< U > &that)
template<typename T, typename U>
CountedPtr< T > | casacore::dynamic_pointer_cast (const CountedPtr< U > &that)

## Macro Definition Documentation

## CONST_POINTER_CAST

#define CONST_POINTER_CAST

Definition at line 37 of file CountedPtr.h.

## DYNAMIC_POINTER_CAST

#define DYNAMIC_POINTER_CAST

Definition at line 36 of file CountedPtr.h.

## SHARED_PTR

#define SHARED_PTR

Definition at line 35 of file CountedPtr.h.

## STATIC_POINTER_CAST

#define STATIC_POINTER_CAST

Definition at line 38 of file CountedPtr.h.